create media fails because ERROR:  value too long for type character varying(50)
Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Database   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding new media via Katello, the following API error occurs:

Started POST "/foreman/api/media" for 127.0.0.1 at 2013-05-29 16:27:15 -0400

Processing by Api::V1::MediaController#create as JSON

  Parameters: {"medium"=>{"name"=>"sao-paulo/Dev_Env/Published1 RHEL Server 6.4 x86_64", "path"=>"

http://SERVER/pulp/repos/sao-paulo/Dev_Env/Published1/content/dist/rhel/server/6/6Server/x86_64/os

/", "os_family"=>"Redhat"}}

PGError: ERROR:  value too long for type character varying(50)

: INSERT INTO "media" ("config_path", "created_at", "image_path", "media_path", "name", "os_family

", "path", "updated_at") VALUES ($1, $2, $3, $4, $5, $6, $7, $8) RETURNING "id" (ActiveRecord::Sta

tementInvalid)

 https://bugzilla.redhat.com/show_bug.cgi?id=968558

Associated revisions

Revision ea5a0127 - 05/30/2013 12:48 PM - Joseph Magen

fixes #2587 - migration to increase varchar length of media.name and other string fields

Revision 1d00a853 - 05/30/2013 12:51 PM - Joseph Magen

fixes #2587 - migration to increase varchar length of media.name and other string fields

(cherry picked from commit ea5a012715ce2112c5d880b8f7562bcbb444e67d)

History

#1 - 05/30/2013 03:07 AM - Dominic Cleal

- Category set to Database

#2 - 05/30/2013 03:52 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/667

#3 - 05/30/2013 01:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1d00a8539abc3474c440d856ae1b02ee1123c017.
